/*----------------------------------------------------------------------------*
 | Headerfile CallbackEmptyCall.h                                             |
 |                                                                            |
 | Version 2.00                                                               |
 |                                                                            |
 | BriDGe::Callback: a tiny library that provides callback functionality.     |
 | Copyright (C) 2002  Bram de Greve                                          |
 |                                                                            |
 | This library is free software; you can redistribute it and/or              |
 | modify it under the terms of the GNU Lesser General Public                 |
 | License as published by the Free Software Foundation; either               |
 | version 2.1 of the License, or (at your option) any later version.         |
 |                                                                            |
 | This library is distributed in the hope that it will be useful,            |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of             |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU          |
 | Lesser General Public License for more details.                            |
 |                                                                            |
 | You should have received a copy of the GNU Lesser General Public           |
 | License along with this library; if not, write to the Free Software        |
 | Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  |
 |                                                                            |
 |                                                                            |
 | Contact by e-mail: Bram de Greve <bdegreve@mail.be>                        |
 |                                                                            |
 |                                                                            |
 | History:                                                                   |
 | June 9th, 2002: Creation of CallbackEmptyCall.h.                           |
 |                                                                            |
 | I want to thank Altair, Jaap Suter & especially Dirk Gerrits (Who has      |
 | spent an entire afternoon on this to help me.  It was a waste of time for  |
 | both of us, but we had a lot of fun, didn't we? :)                         |
 *----------------------------------------------------------------------------*/

#ifndef BDG_GUARDIAN_OF_INCLUSION_CALLBACKEMPTYCALL_H
#define BDG_GUARDIAN_OF_INCLUSION_CALLBACKEMPTYCALL_H



// --- OLD INTERFACES ----------------------------------------------------------

#include <stdexcept>                    // std::runtime_error
#include <string>                       // std::string



// --- NEW INTERFACES ----------------------------------------------------------

namespace BDG
{

struct CallbackEmptyCall : std::runtime_error
{
public:

    explicit CallbackEmptyCall(const std::string& a_string):
        std::runtime_error(a_string)
    {
    }
};



struct CallbackNullArgument : std::invalid_argument
{
public:

    explicit CallbackNullArgument(const std::string& a_string):
        std::invalid_argument(a_string)
    {
    }
};



} // namespace BDG

#endif // Guardian of Inclusion

// --- END OF FILE CallbackEmptyCall.h -----------------------------------------
